package com.heyu.api.data.dao.operation;
/**
* <p>
* 场景下的条件配置 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.operation.OperatinConditionEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface OperatinConditionDao extends BaseMapper<OperatinConditionEntity> {


	OperatinConditionEntity selectOperatinConditionById(@Param("id")Long id);


	Long insertOperatinCondition(OperatinConditionEntity operatinCondition);


	Long insertOrUpdateOperatinCondition(OperatinConditionEntity operatinCondition);


	int updateOperatinConditionById(OperatinConditionEntity operatinCondition);


	int updateCoverOperatinConditionById(OperatinConditionEntity operatinCondition);


	int deleteOperatinConditionById(@Param("id")Long id);


}